gnutls_priority_set(3)

NAME
gnutls_priority_set - Sets priorities for the cipher suites supported by gnutls.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_priority_set(gnutls_session_t session, gnutls_priority_t priority);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_priority_t priority
    is a gnutls_priority_t structure.

DESCRIPTION
Sets the priorities to use on the ciphers, key exchange methods, macs and compression methods.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.